<?php include "includes/conexao.php";
    include "config/init.php";


    if(isset($_POST['payLoan'])){

        $id = $_POST['id'];

        $findQueries = $database->query("SELECT * FROM creditos WHERE id='$id'");
        $associate = $database->fetch_assoc($findQueries);

        $cliente = $associate['cliente'];
        $totalCapital = $associate['total'];
        $tipo = $associate['tipo'];
        $taxas = $associate['taxas'];
        $vendedor = $associate['vendedor'];
        $conta = $associate['conta'];
        $garantias = $associate['garantias'];
        $estimado = $associate['estimado'];
        $finalidade = $associate['finalidade'];
        $user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));

        $valor = $_POST['valor'];
        $conta = $_POST['conta'];
        $tipo_pay = $_POST['tipo_pagamento'];

        $saldo = $totalCapital - $valor;

        $accountLoan = $database->query("SELECT * FROM contas WHERE conta = '$conta'");
        $dadosAccount = $database->fetch_assoc($accountLoan);
        $saldoActual = $dadosAccount['saldo'];
        
        
        $sql = $database->query("SELECT * FROM pagamentos WHERE id_pagamento='$id' ORDER BY ID DESC LIMIT 1");
        $query = $database->fetch_assoc($sql);
        
        $prestacaoActual = $query['prestacao'];
        $nova_prest = $prestacaoActual + 1;
        
        
        

        $saldoNew = $saldoActual + $valor;
        $now = date('Y-m-d');
        $user = $_SESSION['nome'];
         
        if($valor < $totalCapital){

         
           $valorNovoCredito = $totalCapital - $valor;
           $totalNovoCredito = $valorNovoCredito;
           

             $actualiza = $database->query("UPDATE creditos SET valor='$valorNovoCredito',juros='0',total='$totalNovoCredito',data='$data' WHERE id='$id'");

             //PAGAMENTO PARCELADO QUE IRA GERAL NOVO CREDITO COM OS SEUS RESPETIVOS JUROS OU SEJA RECAPITALIZAR
             $payments = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
             VALUES('$cliente','$valor','$id','$nova_prest','0','$now','$saldo','Pago')");

             $Account = $database->query("UPDATE contas SET saldo = '$saldoNew' WHERE conta='$conta'");

             $Reports = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
             VALUES('Pagamento da prestacao de $cliente','0','$valor','$saldoNew','$conta','$now','$hora','$user')");
             

            $_SESSION['status'] = "Pago valor de $valor tem como saldo $saldo";
            $_SESSION['status_code'] = "success";
            echo "<script>window.open('creditos.php','_self')</script>";


            }else{
             $payments = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
             VALUES('$cliente','$valor','$id','$nova_prest','$juros_de_mora','$now','$saldo','Pago')");

             $Account = $database->query("UPDATE contas SET saldo = '$saldoNew' WHERE conta='$conta'");
             $actualiza = $database->query("UPDATE creditos SET status='Pago' WHERE id='$id'");


             $Reports = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
             VALUES('Pagamento da prestacao  de $cliente','0','$valor','$saldoNew','$conta','$now','$hora','$user')");
             

            $_SESSION['status'] = "Pago com sucesso";
            $_SESSION['status_code'] = "success";
            echo "<script>window.open('processamentos.php?id=$id&&cliente=$cliente','_self')</script>";
            }
    }
?>